function [R,t] = pnp_update(t, R, pts3d, pts2d, term_crit, representation)
    %init from input pose
    transmat=eye(3,4); transmat(:,4)=t;
    rotmat=eye(4,4); rotmat(1:3,1:3)=R;
    cam=p2cam(transmat*rotmat);
    
    [R, t] = pnp_update_mex_wrapper(cam ,pts3d, pts2d,term_crit,representation);
    [R,t] = HZ2ptam(R, t);
end
